"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var emscripten_wasm_loader_1 = require("emscripten-wasm-loader");
/**
 * Default log instance falls back to noop if not specified.
 */
var logInstance = function () {
    /* noop */
};
var log = function () {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    return logInstance.apply(void 0, args);
};
exports.log = log;
/**
 * Enables logging internal behavior of hunspell-asm.
 * @param logger function to log.
 */
var enableLogger = function (logger) {
    var scopedLogger = function (scope) { return function (message) {
        var optionalParams = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            optionalParams[_i - 1] = arguments[_i];
        }
        logger.apply(void 0, [scope + "::" + message].concat(optionalParams));
    }; };
    logInstance = scopedLogger("hunspell");
    emscripten_wasm_loader_1.enableLogger(scopedLogger("hunspellLoader"));
};
exports.enableLogger = enableLogger;
//# sourceMappingURL=logger.js.map