/**
 * `mkdir -p` implementation for wasm FS.mkdir interface.
 * dirPath param should be unixified.
 */
/** @internal */
export var mkdirTree = function (FS, dirPath) {
    var mkdir = function (path) {
        try {
            FS.mkdir(path);
        }
        catch (e) {
            //throw if not ERRNO_CODES.EEXIST
            if (e.errno != 17) {
                throw e;
            }
        }
    };
    dirPath
        .split('/')
        .filter(function (x) { return !!x; })
        .reduce(function (acc, value) {
        acc.push((acc.length > 0 ? acc[acc.length - 1] : '') + "/" + value);
        return acc;
    }, [])
        .forEach(mkdir);
};
//# sourceMappingURL=mkdirTree.js.map