import { enableLogger as emscriptenEnableLogger } from 'emscripten-wasm-loader';
/**
 * Default log instance falls back to noop if not specified.
 */
var logInstance = function () {
    /* noop */
};
var log = function () {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    return logInstance.apply(void 0, args);
};
/**
 * Enables logging internal behavior of hunspell-asm.
 * @param logger function to log.
 */
var enableLogger = function (logger) {
    var scopedLogger = function (scope) { return function (message) {
        var optionalParams = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            optionalParams[_i - 1] = arguments[_i];
        }
        logger.apply(void 0, [scope + "::" + message].concat(optionalParams));
    }; };
    logInstance = scopedLogger("hunspell");
    emscriptenEnableLogger(scopedLogger("hunspellLoader"));
};
export { enableLogger, log };
//# sourceMappingURL=logger.js.map