import { ENVIRONMENT } from 'emscripten-wasm-loader';
import { FS } from './HunspellAsmModule';
/**
 * Creates a function to mount phsyical path into wasm internal memory filesystem
 * to allow wasm can access phsyical file directly.
 *
 * @param {FS} FS wasm module filesystem
 * @param {string} nodePathId root path in memory filesystem to mount given path under.
 * This prefix path is generated automatically each time wasm module is loaded.
 *
 * @return {(dirPath: string) => string} function to mount given phsical path under memory filesystem.
 */
/** @internal */
export declare const mountDirectory: (FS: FS, nodePathId: string, environment: ENVIRONMENT) => (dirPath: string) => string;
//# sourceMappingURL=mountDirectory.d.ts.map